Uploaded image for project: 'Red Hat Fuse'
  1. Red Hat Fuse
  2. ENTESB-7342

"InvalidRemoteException: Invalid remote: origin" when patching fabric without jboss-fuse-full profile

    Details

    • Sprint:
      6.2.1 R9
    • Steps to Reproduce:
      Hide
      fabric:create --wait-for-provisioning 
      container-remove-profile root jboss-fuse-full
      profile-edit -f patch fabric
      patch:add file:///home/jkasztur/Downloads/FUSE/jboss-fuse-full-6.2.1.redhat-215.zip
      version-create 1.1
      patch:fabric-install --version 1.1 jboss-fuse-full-6.2.1.redhat-215
      fabric:container-upgrade 1.1 root 
      log:display-exception
      
      Show
      fabric:create --wait- for -provisioning container-remove-profile root jboss-fuse-full profile-edit -f patch fabric patch:add file: ///home/jkasztur/Downloads/FUSE/jboss-fuse-full-6.2.1.redhat-215.zip version-create 1.1 patch:fabric-install --version 1.1 jboss-fuse-full-6.2.1.redhat-215 fabric:container-upgrade 1.1 root log:display-exception

      Description

      When patching without jboss-fuse-full profile we can see this exception in log:

      org.eclipse.jgit.api.errors.InvalidRemoteException: Invalid remote: origin
      	at org.eclipse.jgit.api.FetchCommand.call(FetchCommand.java:136)
      	at io.fabric8.git.internal.DefaultPullPushPolicy.doPull(DefaultPullPushPolicy.java:89)
      	at io.fabric8.git.internal.GitDataStoreImpl.doPullInternal(GitDataStoreImpl.java:1148)
      	at io.fabric8.git.internal.GitDataStoreImpl.doPullInternal(GitDataStoreImpl.java:1138)
      	at io.fabric8.git.internal.GitDataStoreImpl.activateInternal(GitDataStoreImpl.java:374)
      	at io.fabric8.git.internal.GitDataStoreImpl.activate(GitDataStoreImpl.java:219)
      	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)[:1.8.0_31]
      	...
      	at org.apache.curator.framework.state.ConnectionStateManager$2.apply(ConnectionStateManager.java:259)[149:io.fabric8.fabric-zookeeper:1.2.0.redhat-621215]
      	at org.apache.curator.framework.state.ConnectionStateManager$2.apply(ConnectionStateManager.java:255)[149:io.fabric8.fabric-zookeeper:1.2.0.redhat-621215]
      	at org.apache.curator.framework.listen.ListenerContainer$1.run(ListenerContainer.java:93)[149:io.fabric8.fabric-zookeeper:1.2.0.redhat-621215]
      	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)[:1.8.0_31]
      	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)[:1.8.0_31]
      	at java.lang.Thread.run(Thread.java:745)[:1.8.0_31]
      Caused by: org.eclipse.jgit.errors.NoRemoteRepositoryException: http://10.40.3.127:8181/git/fabric/: http://10.40.3.127:8181/git/fabric/info/refs?service=git-upload-pack not found
      	at org.eclipse.jgit.transport.TransportHttp.connect(TransportHttp.java:482)
      	at org.eclipse.jgit.transport.TransportHttp.openFetch(TransportHttp.java:296)
      	at org.eclipse.jgit.transport.FetchProcess.executeImp(FetchProcess.java:136)
      	at org.eclipse.jgit.transport.FetchProcess.execute(FetchProcess.java:122)
      	at org.eclipse.jgit.transport.Transport.fetch(Transport.java:1138)
      	at org.eclipse.jgit.api.FetchCommand.call(FetchCommand.java:130)
      	... 88 more
      

      The provision status is successful, but the exception didn't happen when patching to 6.2.1.redhat-206 and below

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  grgrzybek Grzegorz Grzybek
                  Reporter:
                  jkasztur Jan Kasztura
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  3 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: